View Single Post
Old 07-28-06, 08:37 PM   #5
nusgnaf
Registered User
 
Join Date: Jul 2006
Posts: 3
Default Re: nVidia (Uli) M1697 chipset in Ubuntu

Hi, I just managed to install linux on this motherboard. This motherboard require a pretty new kernel, mainly for decent ahci support(ncq and other goodies)I recommend 2.6.18-rc2, or 2.6.17 with Tejun Heo's libata patch applied, you can download his patch bundle from here
http://home-tj.org/wiki/index.php/Libata-tj-stable
the most important option is CONFIG_SCSI_SATA_AHCI and CONFIG_ULI526X, make sure they are build in.
I download RIP linux from
http://www.tux.org/pub/people/kent-r...looplinux/rip/
, it ships with 2.6.17, unfortunately it miss the Uli ethernet driver, and the ahci support is not complete, but it has the advantage that we can build a newer linux kernel and simply load it from the grub menu. For example I build a new kernel on my old desktop, copy it to C:\kernel-new, then reboot use riplinux cd, when the grub appear, press "e" to edit the first boot option as follows
-------------
root (cd)
kernel (hd0,0)/kernel-new ... <---boot with our own kernel
....
------------
then continue to boot. Until then I can happily repartion my drive and use debootstrap to install a debian base system.
Ah, one more word, the nvidia river doesn't work with 2.6.18 rc kernel, so if you want to use nvidia driver the only option is 2.6.17.4 + Tejun Heo's libata patch.
nusgnaf is offline   Reply With Quote